summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:03:02 +0200
committer Alan Hicks <alan@lizella.net>2010-05-11 15:03:02 +0200
commitf69f955ec7e1aaf139c61d3b4d29431ee42c5112 (patch)
tree78157ab4371ec096cefa959a509c2ef49150a1b3 /office
parent608d5d61af6a37db91001744e77154a6132881cd (diff)
downloadslackbuilds-f69f955ec7e1aaf139c61d3b4d29431ee42c5112.tar.gz
slackbuilds-f69f955ec7e1aaf139c61d3b4d29431ee42c5112.tar.xz
office/devtodo: Initial import
Diffstat (limited to 'office')
-rw-r--r--office/devtodo/README15
-rw-r--r--office/devtodo/devtodo.SlackBuild64
-rw-r--r--office/devtodo/devtodo.info8
-rw-r--r--office/devtodo/doinst.sh17
-rw-r--r--office/devtodo/slack-desc10
5 files changed, 114 insertions, 0 deletions
diff --git a/office/devtodo/README b/office/devtodo/README
new file mode 100644
index 0000000000..455adc105c
--- /dev/null
+++ b/office/devtodo/README
@@ -0,0 +1,15 @@
+Dev Todo is small command line application for maintaining lists of
+outstanding tasks. It stores tasks hierarchically, with each task
+given one of five priority levels and a matchin colour level.
+
+Data is stored as XML, so various XSLT templates can be executed
+on the XML to convert it into different formats (eg. HTML).
+
+Data is stored in a file named .todo in the current directory.
+Depending on the setting of backup in your configuration file, there
+may also be files named .todo.1, .todo.2, etc.
+
+Additionally, it can automatically list outstanding items when you change
+into a directory.
+
+
diff --git a/office/devtodo/devtodo.SlackBuild b/office/devtodo/devtodo.SlackBuild
new file mode 100644
index 0000000000..30fb7d4c9e
--- /dev/null
+++ b/office/devtodo/devtodo.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for: devtodo
+# Written by: Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+
+set -e
+
+PRGNAM=devtodo
+VERSION=0.1.19
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=${ARCH:-i486}
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING ChangeLog INSTALL NEWS README QuickStart"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --disable-debug
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mv $PKG/etc/todorc $PKG/etc/todorc.new
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/office/devtodo/devtodo.info b/office/devtodo/devtodo.info
new file mode 100644
index 0000000000..9013a35fe5
--- /dev/null
+++ b/office/devtodo/devtodo.info
@@ -0,0 +1,8 @@
+PRGNAM="devtodo"
+VERSION="0.1.19"
+HOMEPAGE="http://swapoff.org/DevTodo"
+DOWNLOAD="http://swapoff.org/files/devtodo/devtodo-0.1.19.tar.gz"
+MD5SUM="723c86eae76c425ab9f271760bb951a3"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="Alan_Hicks"
diff --git a/office/devtodo/doinst.sh b/office/devtodo/doinst.sh
new file mode 100644
index 0000000000..5c6378d493
--- /dev/null
+++ b/office/devtodo/doinst.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Handle the incoming configuration files:
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/todorc.new
+
+
diff --git a/office/devtodo/slack-desc b/office/devtodo/slack-desc
new file mode 100644
index 0000000000..24bb592b92
--- /dev/null
+++ b/office/devtodo/slack-desc
@@ -0,0 +1,10 @@
+devtodo: Developer Todo (console based todo list)
+devtodo:
+devtodo: Developer Todo is a program to assist developers in maintaining a
+devtodo: list of outstanding tasks in a heirarchical, colourised, and
+devtodo: prioritised list. Additionally, it can automatically list
+devtodo: outstanding items when you change into a directory.
+devtodo:
+devtodo: homepage: http://swapoff.org/DevTodo
+devtodo:
+devtodo: